"""
Query output format enumeration.
https://clickhouse.com/docs/en/interfaces/formats
"""

from ch_tools.common.type import StrEnum

# pylint: disable=invalid-name


class OutputFormat(StrEnum):
    Default = "PrettyCompact"
    TabSeparated = "TabSeparated"
    TabSeparatedRaw = "TabSeparatedRaw"
    TabSeparatedWithNames = "TabSeparatedWithNames"
    TabSeparatedWithNamesAndTypes = "TabSeparatedWithNamesAndTypes"
    TabSeparatedRawWithNames = "TabSeparatedRawWithNames"
    TabSeparatedRawWithNamesAndTypes = "TabSeparatedRawWithNamesAndTypes"
    CSV = "CSV"
    CSVWithNames = "CSVWithNames"
    CSVWithNamesAndTypes = "CSVWithNamesAndTypes"
    SQLInsert = "SQLInsert"
    Values = "Values"
    Vertical = "Vertical"
    JSON = "JSON"
    JSONStrings = "JSONStrings"
    JSONColumns = "JSONColumns"
    JSONColumnsWithMetadata = "JSONColumnsWithMetadata"
    JSONCompact = "JSONCompact"
    JSONCompactStrings = "JSONCompactStrings"
    JSONCompactColumns = "JSONCompactColumns"
    JSONEachRow = "JSONEachRow"
    PrettyJSONEachRow = "PrettyJSONEachRow"
    JSONEachRowWithProgress = "JSONEachRowWithProgress"
    JSONStringsEachRow = "JSONStringsEachRow"
    JSONStringsEachRowWithProgress = "JSONStringsEachRowWithProgress"
    JSONCompactEachRow = "JSONCompactEachRow"
    JSONCompactEachRowWithNames = "JSONCompactEachRowWithNames"
    JSONCompactEachRowWithNamesAndTypes = "JSONCompactEachRowWithNamesAndTypes"
    JSONCompactStringsEachRow = "JSONCompactStringsEachRow"
    JSONCompactStringsEachRowWithNames = "JSONCompactStringsEachRowWithNames"
    JSONCompactStringsEachRowWithNamesAndTypes = (
        "JSONCompactStringsEachRowWithNamesAndTypes"
    )
    JSONObjectEachRow = "JSONObjectEachRow"
    BSONEachRow = "BSONEachRow"
    TSKV = "TSKV"
    Pretty = "Pretty"
    PrettyNoEscapes = "PrettyNoEscapes"
    PrettyMonoBlock = "PrettyMonoBlock"
    PrettyNoEscapesMonoBlock = "PrettyNoEscapesMonoBlock"
    PrettyCompact = "PrettyCompact"
    PrettyCompactNoEscapes = "PrettyCompactNoEscapes"
    PrettyCompactMonoBlock = "PrettyCompactMonoBlock"
    PrettyCompactNoEscapesMonoBlock = "PrettyCompactNoEscapesMonoBlock"
    PrettySpace = "PrettySpace"
    PrettySpaceNoEscapes = "PrettySpaceNoEscapes"
    PrettySpaceMonoBlock = "PrettySpaceMonoBlock"
    PrettySpaceNoEscapesMonoBlock = "PrettySpaceNoEscapesMonoBlock"
    Prometheus = "Prometheus"
    Protobuf = "Protobuf"
    ProtobufSingle = "ProtobufSingle"
    Avro = "Avro"
    Parquet = "Parquet"
    Arrow = "Arrow"
    ORC = "ORC"
    RowBinary = "RowBinary"
    RowBinaryWithNames = "RowBinaryWithNames"
    RowBinaryWithNamesAndTypes = "RowBinaryWithNamesAndTypes"
    Native = "Native"
    Null = "Null"
    XML = "XML"
    CapnProto = "CapnProto"
    LineAsString = "LineAsString"
    RawBLOB = "RawBLOB"
    MsgPack = "MsgPack"
    Markdown = "Markdown"
